## org.apache.poi.xssf.dev
Class XSSFDump

    java.lang.Object
      org.apache.poi.xssf.dev.XSSFDump

    public final class XSSFDump

extends java.lang.Object

Utility class which dumps the contents of a *.xlsx file into file system.

Author:
  Yegor Kozlov

Constructor Summary
`XSSFDump()`

Method Summary
`protected static void` `dump(java.io.InputStream is, java.io.OutputStream out)`
`static void` `dump(java.util.zip.ZipFile zip)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFDump

    public XSSFDump()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dump

    public static void dump(java.util.zip.ZipFile zip)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dump

    protected static void dump(java.io.InputStream is,
                               java.io.OutputStream out)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.